LIMITUI-Eigenschaft

Wenn die LIMITUI-Eigenschaft festgelegt ist, wird die Beim Installieren des Pakets verwendete Benutzeroberflächesebene auf "Basic" beschränkt. Diese Eigenschaft ist in Paketen erforderlich, die keine autorierte Benutzeroberfläche haben, aber weiterhin UI-Tabellen wie die Dialogtabelle enthalten. Eine Beschreibung der UI-Ebenen finden Sie unter MsiSetInternalUI

Bemerkungen

Installationspakete, die die LIMITUI-Eigenschaft enthalten, müssen auch die ARPNOMODIFY-Eigenschaft enthalten. Dies ist erforderlich, damit ein Benutzer das richtige Verhalten aus dem Dienstprogramm "Programme hinzufügen" oder "Entfernen" im Hilfsprogramm Systemsteuerung abrufen kann, wenn versucht wird, ein Produkt zu konfigurieren.

Requirements (Anforderungen)

Anforderung Wert
Version
Windows Installer 5.0 auf Windows Server 2012, Windows 8, Windows Server 2008 R2 oder Windows 7. Windows Installer 4.0 oder Windows Installer 4.5 auf Windows Server 2008 oder Windows Vista. Windows Installer auf Windows Server 2003 oder Windows XP. Informationen zum mindestens Windows Service Pack, das von einer Windows Installer-Version benötigt wird, finden Sie im Windows Installer Run-Time Anforderungen.

Siehe auch

Eigenschaften

MsiSetInternalUI

ARPNOMODIFY